Option Strict Off
Option Explicit On
Friend Class Form1
	Inherits System.Windows.Forms.Form
	Dim result As New VB6.FixedLengthString(255)
	Dim workstr As New VB6.FixedLengthString(255)
	Dim PortAStatus As Byte
	
	Private Sub Form1_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		
		' Discover USBm Device(s)
        If USBm_FindDevices Then

            lblDeviceStatus.Text = "USBm Devices Found"
            lblDeviceStatus.ForeColor = System.Drawing.ColorTranslator.FromOle(RGB(&H0, &H90, &H0))

            result.Value = CStr(USBm_DeviceProd(0, workstr.Value))
            lblDevice.Text = "0x" & Hex(USBm_DevicePID(0)) & " : " & workstr.Value

            result.Value = CStr(USBm_DeviceSer(0, workstr.Value))
            lblDeviceSerial.Text = workstr.Value

            lblDeviceVersion.Text = "0x" & Hex(USBm_DeviceDID(0))

            USBm_InitPorts(0)

            ' Start Reading Port
            Timer1.Enabled = True

        Else

            lblDeviceStatus.Text = "USBm Devices Not Found"
            lblDeviceStatus.ForeColor = System.Drawing.ColorTranslator.FromOle(RGB(&HF0, &H0, &H0))

            lblDevice.Text = "Unknown"
            lblDevice.ForeColor = System.Drawing.ColorTranslator.FromOle(RGB(&HF0, &H0, &H0))

            lblDeviceSerial.Text = "Unknown"
            lblDeviceSerial.ForeColor = System.Drawing.ColorTranslator.FromOle(RGB(&HF0, &H0, &H0))

            lblDeviceVersion.Text = "Unknown"
            lblDeviceVersion.ForeColor = System.Drawing.ColorTranslator.FromOle(RGB(&HF0, &H0, &H0))

        End If
		
	End Sub
	
	Private Sub Timer1_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Timer1.Tick
		
		USBm_ReadA(0, PortAStatus)
		lblADCOutput.Text = CStr(PortAStatus)
		
	End Sub
End Class